<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:15 CEST 2014 -->
<title>Uses of Class fr.inria.alpage.frmgcm.search.DPathSearchUnit</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class fr.inria.alpage.frmgcm.search.DPathSearchUnit";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?fr/inria/alpage/frmgcm/search/class-use/DPathSearchUnit.html" target="_top">Frames</a></li>
<li><a href="DPathSearchUnit.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class fr.inria.alpage.frmgcm.search.DPathSearchUnit" class="title">Uses of Class<br>fr.inria.alpage.frmgcm.search.DPathSearchUnit</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#fr.inria.alpage.frmgcm.search">fr.inria.alpage.frmgcm.search</a></td>
<td class="colLast">
<div class="block">This package encompass the classes handling search operations over elasticsearch index using dpath query language.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="fr.inria.alpage.frmgcm.search">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a> in <a href="../../../../../../fr/inria/alpage/frmgcm/search/package-summary.html">fr.inria.alpage.frmgcm.search</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../fr/inria/alpage/frmgcm/search/package-summary.html">fr.inria.alpage.frmgcm.search</a> declared as <a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></code></td>
<td class="colLast"><span class="strong">DPathSearchMod.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMod.html#dpathProcesses">dpathProcesses</a></strong></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../fr/inria/alpage/frmgcm/search/package-summary.html">fr.inria.alpage.frmgcm.search</a> with type parameters of type <a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a>&gt;</code></td>
<td class="colLast"><span class="strong">DPathSearchUnit.DPathCoord.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathCoord.html#coords">coords</a></strong></code>
<div class="block">List of expressions</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a>&gt;</code></td>
<td class="colLast"><span class="strong">DPathSearchUnit.DPathExpression.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathExpression.html#elts">elts</a></strong></code>
<div class="block">The search unit contained in this expression</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a>&gt;</code></td>
<td class="colLast"><span class="strong">DPathSearchUnit.DPathFilter.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathFilter.html#filters">filters</a></strong></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../fr/inria/alpage/frmgcm/search/package-summary.html">fr.inria.alpage.frmgcm.search</a> that return <a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></code></td>
<td class="colLast"><span class="strong">DPathSearchMod.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMod.html#parseQuery()">parseQuery</a></strong>()</code>
<div class="block">Parse the input query and returns a list of Search Unit process</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></code></td>
<td class="colLast"><span class="strong">DPathSearchMod.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMod.html#processParseTree(fr.inria.alpage.frmgcm.dpp.SimpleNode,%20com.mongodb.BasicDBList)">processParseTree</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleNode</a>&nbsp;tree,
                com.mongodb.BasicDBList&nbsp;filter)</code>
<div class="block">Parse the tree structure of the query</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></code></td>
<td class="colLast"><span class="strong">DPathSearchMod.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMod.html#processParseTree(fr.inria.alpage.frmgcm.dpp.SimpleNode,%20boolean,%20com.mongodb.BasicDBList)">processParseTree</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleNode</a>&nbsp;tree,
                boolean&nbsp;addPreFilter,
                com.mongodb.BasicDBList&nbsp;prefilter)</code>
<div class="block">Parse a node of the tree structure of the query</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../../../../../fr/inria/alpage/frmgcm/search/package-summary.html">fr.inria.alpage.frmgcm.search</a> with type arguments of type <a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathCoord.html#DPathSearchUnit.DPathCoord(java.util.ArrayList,%20java.util.ArrayList)">DPathSearchUnit.DPathCoord</a></strong>(java.util.ArrayList&lt;<a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a>&gt;&nbsp;coords,
                          java.util.ArrayList&lt;java.lang.String&gt;&nbsp;coordinators)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathExpression.html#DPathSearchUnit.DPathExpression(java.util.ArrayList)">DPathSearchUnit.DPathExpression</a></strong>(java.util.ArrayList&lt;<a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a>&gt;&nbsp;elements)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathExpression.html#DPathSearchUnit.DPathExpression(java.util.ArrayList,%20java.lang.String)">DPathSearchUnit.DPathExpression</a></strong>(java.util.ArrayList&lt;<a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a>&gt;&nbsp;elements,
                               java.lang.String&nbsp;entrySet)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathFilter.html#DPathSearchUnit.DPathFilter(java.util.ArrayList)">DPathSearchUnit.DPathFilter</a></strong>(java.util.ArrayList&lt;<a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a>&gt;&nbsp;filters)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?fr/inria/alpage/frmgcm/search/class-use/DPathSearchUnit.html" target="_top">Frames</a></li>
<li><a href="DPathSearchUnit.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
